Atma Xplorer

Xploring Games, Computing, Photography

Play games that require OFW 5.50 with version.txt hack

A number PSP game releases require owners to update their PSP to the latest version of the firmware, 5.50. If you have custom firmware, that would mean upgrading to 5.50 GEN-A (and 5.50 GEN-B). If reluctant to (or in the case of PSP-3000 owners can’t) upgrade your firmware, here’s a bypass that will let you play games that require the latest firmware version.

If you’re looking for this on the web, people refer to it as the version.txt hack or version.txt for short.  People can be lazy with names it seems. 😀

Important Note: Obviously for this to work you need to have custom firmware installed.  Check out my guide on How to install custom firmware and jump back here.

Important Note: If you want a more reliable way of getting your games to work use the Game Decrypter. Note that this is only for PSPs with 5.00 M33, 5.50 MHU, 5.50 GEN-A, 5.50 GEN-B, 5.03 GEN-A and 5.03 MHU.

Requirements:

How to make your PSP think it has 5.50 firmware:

  • Enter the configuration menu and find the set the following:
    If you’re on 5.00 M33:

    • Turn off your PSP and holding the R trigger when turning it on.
    • Go to Configuration > XMB USB Device and change it from Memory Stick to flash0
    • Go to Use version.txt and select the option to enable it.
    • Go to Back > Exit to restart your PSP

    If you’re on 5.03 GEN-A or Custom Firmware Enabler:

    • Press and hold select on your XMB
    • Go to Use version.txt and select the option to enable it.
  • Connect your PSP to your PC
  • Important Note: Be careful with this step. You are editing flash0, it’s where the firmware of your PSP resides. If you delete or modify anything aside from version.txt you will BRICK YOUR PSP. Be very careful.

  • Browse your PSP and go to folders VSH > etc. Inside you should see a version.txt file.
  • Right-click the version.txt file and uncheck the Read-Only property.
  • Open the version.txt file.  You will see:
  • release:5.00:
    build:2740,0,3,1,0:builder@vsh-build6
    system:46876@release_500,0×05000010:
    vsh:p6264@release_500,v46652@release_5…
    target:1:WorldWide
    
  • Replace it with
    release:5.50:
    build:3062,0,3,1,0:builder@vsh-build6
    system:50781@release_550,0x05050010:
    vsh:p6399@release_550,v50953@release_550,20090415:
    target:1:WorldWide
    

    and save.

  • Skip this step if you’re on 5.03 GEN-A or Custom Firmware Enabler: restart your PSP.
  • Press and hold select to access the VSH menu. Change back the XMB USB Device
  • And you’re done 😀

Easy right?  Risky but yes, it is easy.  I’ll update the post with an automated version.

Special thanks to Dark Alex for adding the version.txt feature in his 5.00 M33 release and to Enrick for the heads up 😀

Do note that not ALL games that require the latest firmware will run with this method.  There’s rumor that the Japanese version of Soul Calibur: Broken Destiny requires OFW 5.55 and directly bypasses this method.  Also, some games have been programmed with anti-cfw measures.  Check out this list of games that block custom firmware for updates. I’ve indicated which games can be played by using this method.

Tags: , ,

Comments ( 64 )

Have Something To Say ?